#ifndef IMYLIBRARYCLASS_H
#define IMYLIBRARYCLASS_H


namespace boost {
namespace archive {

class polymorphic_iarchive;
class polymorphic_oarchive;

} // namespace archive
} // namespace boost



class IMyLibraryClass
{
public:

	//IMyLibraryClass

	virtual void SetData(int data) = 0;
	virtual int GetData() = 0;


	//boost::serialization

	virtual void serialize(boost::archive::polymorphic_iarchive& ar, const unsigned int file_version) = 0;
    virtual void serialize(boost::archive::polymorphic_oarchive& ar, const unsigned int file_version) = 0;
};


//Factory function
__declspec(dllexport) IMyLibraryClass* GetMyLibraryClass();


#endif	//IMYLIBRARYCLASS_H
