#ifndef IMYLIBRARYSERIALIZER_H
#define IMYLIBRARYSERIALIZER_H


namespace boost {
namespace archive {

class polymorphic_iarchive;
class polymorphic_oarchive;

} // namespace archive
} // namespace boost

class IMyLibraryClass;


class IMyLibrarySerializer
{
public:

	virtual void Serialize(boost::archive::polymorphic_iarchive& ar, IMyLibraryClass* obj) = 0;
	virtual void Serialize(boost::archive::polymorphic_oarchive& ar, IMyLibraryClass* obj) = 0;
};


//Factory function
__declspec(dllexport) IMyLibrarySerializer* GetMyLibrarySerializer();

#endif	//IMYLIBRARYSERIALIZER_H
